The group and key this API key belongs to
curl --request GET \
--url https://api.scoutworks.app/api/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scoutworks.app/api/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scoutworks.app/api/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"group": {
"id": "<string>",
"name": "<string>"
},
"key": {
"id": "<string>",
"name": "<string>",
"last4": "<string>",
"scopes": [
"members:read"
],
"expiresAt": "2023-11-07T05:31:56Z"
},
"environment": "production",
"links": {
"docs": "<string>",
"try": "<string>"
}
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>"
},
"errorRef": "<string>",
"retryAfter": 0
}{
"error": {
"code": "invalid_api_key",
"message": "<string>"
},
"errorRef": "<string>",
"retryAfter": 0
}{
"error": {
"code": "invalid_api_key",
"message": "<string>"
},
"errorRef": "<string>",
"retryAfter": 0
}Your key
The group and key this API key belongs to
Needs no scope. Use it to check a key works and to see which scopes it carries. Scopes removed from the API since the key was created are not listed.
GET
/
me
The group and key this API key belongs to
curl --request GET \
--url https://api.scoutworks.app/api/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scoutworks.app/api/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scoutworks.app/api/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"group": {
"id": "<string>",
"name": "<string>"
},
"key": {
"id": "<string>",
"name": "<string>",
"last4": "<string>",
"scopes": [
"members:read"
],
"expiresAt": "2023-11-07T05:31:56Z"
},
"environment": "production",
"links": {
"docs": "<string>",
"try": "<string>"
}
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>"
},
"errorRef": "<string>",
"retryAfter": 0
}{
"error": {
"code": "invalid_api_key",
"message": "<string>"
},
"errorRef": "<string>",
"retryAfter": 0
}{
"error": {
"code": "invalid_api_key",
"message": "<string>"
},
"errorRef": "<string>",
"retryAfter": 0
}